//======================================================================
// PROGRAMMER: ......... BAHN, William L.
// UCCS USER NAME: ..... wbahn
// COURSE: ............. CS-1150
// TERM: ............... 2015 Summer
// ASSIGNMENT: ......... HW03
// DUE DATE: ........... 24 JUN 2015
// PROBLEM: ............ Exercise 5.21
// FILENAME: ........... Exercise05_21.java
// JDK VERSION: ........ 1.8
// IDE/VERSION: ........ NONE
//======================================================================

/*
 * Financial application: compare loans with various interest rates
 */
 
import java.util.Scanner;

public class Exercise05_21
{
   public static void main(String[] args)
   {
      final double startRatePct = 5.0;
      final double endRatePct = 8.0;
      final double stepRatePct = 0.125;
      final int rows = (int)Math.round((endRatePct - startRatePct)/stepRatePct) + 1;
      
      Scanner input = new Scanner(System.in);

      // Get Loan Amount
      System.out.print("Loan Amount: ");
      double loanAmount = input.nextDouble();
      // Get Loan Term
      System.out.print("Number of Years: ");
      double loanTermMonths = 12*input.nextDouble();
      // Print Column Headers
      System.out.printf("%20s %20s %20s\n", 
         "Interest Rate", "Monthly Payment", "Total Payment");
      // Print Table
      for (int row = 0; row < rows; row++)
      {
         double annualRatePct = startRatePct + (row * stepRatePct);
         double monthlyRate = (annualRatePct / 12.0) / 100.0;
         double monthlyPayment = (loanAmount * monthlyRate) 
            / (1.0 - (1.0/(Math.pow(1.0 + monthlyRate, loanTermMonths))));
         double totalDollars = monthlyPayment * loanTermMonths;
         System.out.printf("%20.3f%% %20.2f %20.2f\n", 
            annualRatePct, monthlyPayment, totalDollars);
      }
   }
}

